"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useOBSCurrentScene = void 0;
var react_1 = require("react");
function useOBSCurrentScene() {
    var _a = (0, react_1.useState)(null), scene = _a[0], setScene = _a[1];
    (0, react_1.useEffect)(function () {
        if (!window.obsstudio)
            return;
        obsstudio.getCurrentScene(setScene);
        var sceneChange = function (event) {
            setScene(event.detail);
        };
        window.addEventListener("obsSceneChanged", sceneChange);
        return function () {
            window.removeEventListener("obsSceneChanged", sceneChange);
        };
    }, []);
    return scene;
}
exports.useOBSCurrentScene = useOBSCurrentScene;
